@echo off
if "%1N"=="N" goto :noparam
cls
echo Using GDBIO to extract info from %1.
gdbio %1 /N > 1.t
echo Preparing info for transfer (Stage 1).
awk -f insit.awk < 1.t > 2.t
echo Preparing info for transfer (Stage 2).
awk -f topilot.awk < 2.t > 3.t
echo Preparing topilot.csv for importing.
copy 3.t topilot.csv
echo.
echo Cleaning up temporary files.
del 1.t
del 2.t
del 3.t
echo Temporary files have been cleaned up.
echo.
echo File: TOPILOT.CSV is now ready for import into Pilot Desktop.
echo You may wish to inspect this file before doing the import.
goto :end
:noparam
cls
echo You must supply the name of the HP200LX database to prepare.
echo For example:
echo.
echo                   topilot phone.pdb
echo.
echo This will prepare the information in phone.pdb for importing into the
echo Pilot using the Pilot Desktop Import function.
echo It will create a file called topilot.csv that contains all of your
echo 200LX phone information in quote enclosed, comma delimited style
echo and also allows the Notes field to be transferred as well.
echo.
echo This is basically a dirty hack for now - GDBIO could probably be 
echo modified so that my awk scripts are not necessary, but for now this
echo will do to get your HP200LX data transferred to the Pilot.
echo.
:end
